Bug 57999 - Playlists cannot be reordered after sorting
Summary: Playlists cannot be reordered after sorting
Status: RESOLVED FIXED
Alias: None
Product: juk
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian stable Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-02 07:36 UTC by Russell Mull
Modified: 2003-07-17 00:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Russell Mull 2003-05-02 07:36:23 UTC
Version:           CVS (using KDE KDE 3.1.1a)
Installed from:    Debian stable Packages
Compiler:          gcc 3.2 
OS:          Linux

The first time I open a playlist I can drag and drop the tracks around into a different order.  But after I click one of the column headers to sort the playlist, there is no way to recover my previous order or to return to a mode in which I can affect the order.
Comment 1 Scott Wheeler 2003-07-17 00:14:18 UTC
Subject: Re: kdemultimedia/juk

Hmm, works better with the CCMAIL.  ;-)

On Thursday 17 July 2003 0:09, Scott Wheeler wrote:
> CVS commit by wheeler: 
> 
> Make it so that dragging something around automatically turns off sorting.
> 
> 57999-done@bugs.kde.org
> 
> 
>   M +5 -0      playlist.cpp   1.112
> 
> 
> --- kdemultimedia/juk/playlist.cpp  #1.111:1.112
> @@ -609,4 +609,9 @@ void Playlist::contentsDropEvent(QDropEv
>  
>      if(e->source() == this) {
> +
> +        // Since we're trying to arrange things manually, turn off sorting.
> +
> +        setSorting(columns() + 1);
> +
>          QPtrList<QListViewItem> items = KListView::selectedItems();